package com.goafanti.order.bo;

import java.math.BigDecimal;
import java.util.List;

import com.goafanti.common.bo.OrderExamineBo;
import com.goafanti.common.model.NewOrderChange;

public class NewOrderChangeBo extends NewOrderChange {
	private static final long serialVersionUID = 1L;
	private String createTimes;
	private BigDecimal arrears;
	private String paymentTimes;
	private String invoiceTimes;
	private List<OrderExamineBo> consultantExamine;
	private List<OrderExamineBo> managerExamine;
	private Integer isExamine;
	public String getCreateTimes() {
		return createTimes;
	}

	public void setCreateTimes(String createTimes) {
		this.createTimes = createTimes;
	}

	public BigDecimal getArrears() {
		if(arrears==null)return super.getTotalAmount().subtract(super.getSettlementAmount());
		return arrears;
	}

	public void setArrears(BigDecimal arrears) {
		this.arrears = arrears;
	}

	public String getPaymentTimes() {
		return paymentTimes;
	}

	public void setPaymentTimes(String paymentTimes) {
		this.paymentTimes = paymentTimes;
	}

	public String getInvoiceTimes() {
		return invoiceTimes;
	}

	public void setInvoiceTimes(String invoiceTimes) {
		this.invoiceTimes = invoiceTimes;
	}

	public List<OrderExamineBo> getConsultantExamine() {
		return consultantExamine;
	}

	public void setConsultantExamine(List<OrderExamineBo> consultantExamine) {
		this.consultantExamine = consultantExamine;
	}

	public List<OrderExamineBo> getManagerExamine() {
		return managerExamine;
	}

	public void setManagerExamine(List<OrderExamineBo> managerExamine) {
		this.managerExamine = managerExamine;
	}

	public Integer getIsExamine() {
		return isExamine;
	}

	public void setIsExamine(Integer isExamine) {
		this.isExamine = isExamine;
	}
}
